> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bottari.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 댓글 읽기

> 댓글이나 답글 하나를 읽습니다. 지운 댓글도 읽을 수 있습니다.

댓글이나 답글 하나를 읽습니다. `댓글 읽기` 권한이 필요합니다. 필드는 [댓글 목록](https://developers.bottari.ai/ko/api-reference/comments/list.md#댓글-객체)과 같습니다.

**Authorization** `string` *required*

`Bearer <토큰>` 형식입니다. [토큰 자세히 알아보기 →](https://developers.bottari.ai/ko/auth/tokens.md)

**Bottari-Version** `string`

선택 항목입니다. `2026-03-11`만 받습니다. 빼면 현재 버전을 사용하고, 다른 값을 보내면 400을 반환합니다.

**id** `string` *required*

댓글 ID입니다. `comment.*` 이벤트의 `entity.id`를 그대로 사용할 수 있습니다.

## 상태별 응답

| 댓글 | 응답 |
| - | - |
| 지운 댓글 | 200이고 `rich_text: []`와 `original_content_deleted: true`입니다. `parent`는 지우기 전 값입니다. |
| 고친 댓글 | 고친 글입니다. `last_edited_time`이 `created_time`과 다릅니다. 분 단위로 잘리므로 1분 안에 고치면 같을 수 있습니다. |
| 해결한 댓글 | 그대로 읽습니다. 해결 여부를 나타내는 필드는 없습니다. |
| 블록이 사라진 댓글 | 내용이 있고 `original_content_deleted: true`입니다. |
| 휴지통에 있는 행의 댓글 | `rich_text: []`와 `original_content_deleted: true`입니다. |

## 오류

| 상태 | `code` | 원인 |
| - | - | - |
| 403 | `restricted_resource` | `댓글 읽기`가 꺼져 있습니다. |
| 404 | `object_not_found` | 없는 댓글이거나 연동이 읽을 수 없는 문서의 댓글입니다. |

공통 오류는 [공통 규칙](https://developers.bottari.ai/ko/api-reference/overview.md#오류)에서 확인할 수 있습니다.

```bash curl theme={null}
curl https://api.bottari.ai/v1/comments/exampleCmt01 \
  -H "Authorization: Bearer $BOTTARI_TOKEN" \
  -H "Bottari-Version: 2026-03-11"
```

```json 200 theme={null}
{
  "object": "comment",
  "id": "exampleCmt01",
  "parent": {
    "type": "page_id",
    "page_id": "exampleRow01"
  },
  "discussion_id": "exampleCmt01",
  "created_time": "2026-01-15T02:30:00.000Z",
  "last_edited_time": "2026-01-15T02:45:00.000Z",
  "created_by": {
    "object": "user",
    "id": "11111111-1111-4111-8111-111111111111"
  },
  "rich_text": [
    {
      "type": "text",
      "text": {
        "content": "확인했습니다.",
        "link": null
      },
      "annotations": {
        "bold": false,
        "italic": false,
        "strikethrough": false,
        "underline": false,
        "code": false,
        "color": "default"
      },
      "plain_text": "확인했습니다.",
      "href": null
    }
  ],
  "display_name": {
    "type": "user",
    "resolved_name": "김예시"
  },
  "original_content_deleted": false,
  "has_pending_attachments": false,
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```

```json 404 theme={null}
{
  "object": "error",
  "status": 404,
  "code": "object_not_found",
  "message": "Could not find comment with ID: exampleCmt01.",
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.